<?php
// $Id: menu.install.php,v 1.1 2009/03/05 22:23:55 jaza Exp $

/**
 * Implementation of hook_install().
 */
function menu_install() {
  // Create tables.
  drupal_install_schema('menu');
  
  $t = get_t();
  db_query("INSERT INTO {menu_custom} (menu_name, title, description) VALUES ('%s', '%s', '%s')", 'navigation', $t('Navigation'), $t('The navigation menu is provided by Drupal and is the main interactive menu for any site. It is usually the only menu that contains personalized links for authenticated users, and is often not even visible to anonymous users.'));
  db_query("INSERT INTO {menu_custom} (menu_name, title, description) VALUES ('%s', '%s', '%s')", 'primary-links', $t('Primary links'), $t('Primary links are often used at the theme layer to show the major sections of a site. A typical representation for primary links would be tabs along the top.'));
  db_query("INSERT INTO {menu_custom} (menu_name, title, description) VALUES ('%s', '%s', '%s')", 'secondary-links', $t('Secondary links'), $t('Secondary links are often used for pages like legal notices, contact details, and other secondary navigation items that play a lesser role than primary links'));
}

/**
 * Implementation of hook_uninstall().
 */
function menu_uninstall() {
  // Remove tables.
  drupal_uninstall_schema('menu');
  menu_rebuild();
}

/**
 * Implementation of hook_schema().
 */
function menu_schema() {
  $schema['menu_custom'] = array(
    'description' => t('Holds definitions for top-level custom menus (for example, Primary Links).'),
    'fields' => array(
      'menu_name' => array(
        'type' => 'varchar',
        'length' => 32,
        'not null' => TRUE,
        'default' => '',
        'description' => t('Primary Key: Unique key for menu. This is used as a block delta so length is 32.'),
      ),
      'title' => array(
        'type' => 'varchar',
        'length' => 255,
        'not null' => TRUE,
        'default' => '',
        'description' => t('Menu title; displayed at top of block.'),
      ),
      'description' => array(
        'type' => 'text',
        'not null' => FALSE,
        'description' => t('Menu description.'),
      ),
    ),
    'primary key' => array('menu_name'),
  );

  return $schema;
}

